View Issue Details

IDProjectCategoryView StatusLast Update
0002807Path[FreeCAD] Bugpublic2017-01-09 21:50
ReporterHackscribble Assigned Tosliptonic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002807: Cannot profile based on face
DescriptionCreating profile based on face has stopped working. Creating path in tree and trying to add face gives Python error.
Steps To ReproduceOpen test file "foo.fcstd".
Select Path workbench.
Click on "Path based on face" icon.
When dialog opens, select top face of part and click "Add" under Base Geometry.
Additional InformationPython error message
=================

Profiling Select Mode
Traceback (most recent call last):
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathProfile.py", line 595, in addBase
    self.obj.Proxy.addprofilebase(self.obj, sel.Object, i)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathProfile.py", line 166, in addprofilebase
    self.execute(obj)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathProfile.py", line 309, in execute
    output += self._buildPathLibarea(obj, edgelist, False)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathProfile.py", line 197, in _buildPathLibarea
    curve = PathKurveUtils.makeAreaCurve(edgelist, direction, startpoint, endpoint)
  File "/usr/lib/freecad-daily/Mod/Path/PathScripts/PathKurveUtils.py", line 81, in makeAreaCurve
    if cleanededges[0].valueAt(cleanededges[0].LastParameter) in [cleanededges[1].valueAt(cleanededges[1].FirstParameter), cleanededges[1].valueAt(cleanededges[1].LastParameter)]:
IndexError: list index out of range


Version information
===============

OS: Ubuntu 16.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9114 (Git)
Build type: None
Branch: master
Hash: fcd0465d8f891292dc03c95946b7ca8d51348857
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

TagsNo tags attached.
FreeCAD Information

Activities

Hackscribble

2016-12-02 13:59

reporter  

foo.fcstd (10,828 bytes)

Hackscribble

2016-12-05 09:59

reporter   ~0007512

Problem does not happen in latest daily. Path is created correctly. Warning message apppears ...

"DeprecationWarning: For future usage 'Curve' will return 'Line' which is infinite instead of the limited 'LineSegment'.
If you need a line segment then use this:
Part.LineSegment(edge.Curve,edge.FirstParameter,edge.LastParameter)
To suppress the warning set BaseApp/Preferences/Mod/Part/General/LineOld to false"

Using this version:

OS: Ubuntu 16.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9139 (Git)
Build type: None
Branch: master
Hash: adf3cc0f9547194e8002b84f7c3b08d5dc233307
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

sliptonic

2016-12-11 20:25

developer   ~0007520

bug was introduced by the 2D geom refactor and is resolved.

Issue History

Date Modified Username Field Change
2016-12-02 13:59 Hackscribble New Issue
2016-12-02 13:59 Hackscribble File Added: foo.fcstd
2016-12-05 09:59 Hackscribble Note Added: 0007512
2016-12-11 20:25 sliptonic Note Added: 0007520
2016-12-11 20:25 sliptonic Status new => resolved
2016-12-11 20:25 sliptonic Resolution open => fixed
2016-12-11 20:25 sliptonic Assigned To => sliptonic
2017-01-09 21:50 wmayer Status resolved => closed
2017-01-09 21:50 wmayer Fixed in Version => 0.17